<Project Sdk="Microsoft.NET.Sdk">
   <Import Project="$(SolutionDir)Solution.props" />
   <PropertyGroup>
      <TargetFramework>net472</TargetFramework>
      <AssemblyName>Raytheon.Instruments.SwitchPickeringLxi40_531_Soap</AssemblyName>
      <Product>Switch Pickering Lxi40 531 Soap implementation</Product>
      <Description>Switch Pickering Lxi40 531 Soap implementation</Description>
      <OutputType>Library</OutputType>

      <!-- Static versioning (Suitable for Development) -->
      <!-- Disable the line below for dynamic versioning -->
      <Version>1.0.0</Version>
   </PropertyGroup>

   <ItemGroup>
      <PackageReference Include="NLog" Version="5.0.0" />
      <PackageReference Include="Raytheon.Common" Version="1.0.0" />
      <PackageReference Include="Raytheon.Instruments.Switch.Contracts" Version="1.6.0" />
   </ItemGroup>

   <ItemGroup>
      <WebReferences Include="Web References\" />
   </ItemGroup>

   <ItemGroup>
      <Reference Include="Microsoft.CSharp" />
      <Reference Include="System.Web" />
      <Reference Include="System.Web.Services" />
   </ItemGroup>

   <ItemGroup>
      <Compile Update="Properties\Settings.Designer.cs">
         <DesignTimeSharedInput>True</DesignTimeSharedInput>
         <AutoGen>True</AutoGen>
         <DependentUpon>Settings.settings</DependentUpon>
      </Compile>
   </ItemGroup>

   <ItemGroup>
      <None Update="Properties\Settings.settings">
         <Generator>SettingsSingleFileGenerator</Generator>
         <LastGenOutput>Settings.Designer.cs</LastGenOutput>
      </None>
   </ItemGroup>

   <ItemGroup>
     <ProjectReference Include="..\SwitchSim\SwitchSim.csproj" />
   </ItemGroup>

   <!-- Copy all *.dlls and *.pdb in the output folder to a temp folder -->
   <Target Name="CopyFiles" AfterTargets="AfterBuild">
      <ItemGroup>
         <FILES_1 Include="$(OutDir)*.dll" />
         <FILES_2 Include="$(OutDir)*.pdb" />
      </ItemGroup>
      <Copy SourceFiles="@(FILES_1)" DestinationFolder="$(HalTempFolder)" />
      <Copy SourceFiles="@(FILES_2)" DestinationFolder="$(HalTempFolder)" />
   </Target>
</Project>
